FROM node:12.19.0-alpine3.9 AS development

WORKDIR /app

COPY ./api .

RUN apk update && apk add bash

RUN yarn 
EXPOSE 3000
RUN yarn run build


# FROM nginx:1.19-alpine AS server
# COPY --from=builder /app/build /var/www
# COPY  ./nginx/nginx.conf /etc/nginx/nginx.conf
# EXPOSE 3000
# ENTRYPOINT ["nginx","-g","daemon off;"]

# FROM node:12.19.0-alpine3.9 as production

# ARG NODE_ENV=production

# WORKDIR /app

# COPY ../api/package.json ./

# RUN npm install --only=production

# COPY ../api .

# COPY --from=development /usr/src/app/dist ./dist

# CMD ["node", "dist/main"]